body {
    overflow: hidden;
}

#background_page {
    z-index: 0;
    background-repeat: no-repeat;
    background-size: 100vw 100vh;
    background: black;
}

#shop_desc {
    height: fit-content !important;
}

#hafez_index_container {
    height: 100vh;

    .shop-profile {
        width: 68px;
        height: 68px;
        /* border: 0.5px solid #9a9a9a; */
    }

    #hafez_voice_icon {
        font-size: 34px;
        font-weight: bolder;
    }

    .shop_name {
        direction: rtl;
        background-color: rgba(255, 255, 255, 0.73);
    }

    .list_folders {
        max-width: 500px;
        z-index: 10;

        .home_boxes {
            min-height: 90px;
            box-shadow: 0px 2px 5px 0px #9a9a9a99;
            border-radius: 10px;
        }
    }
}

#nima_index_container {
    width: 100vw;
    height: 100vh;

    img.shop-profile {
        top: 10px;
        right: 10px;
        z-index: 11;
    }

    .animation_logo_header {
        z-index: 100;
    }

    .index_top_pic {
        height: 45vh;
        min-height: 300px;
        max-height: 440px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        z-index: 10;
    }

    .home_boxes {
        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        box-shadow: 0px 2px 5px 0px #9a9a9a99;
        cursor: pointer;
        padding: 0.7rem;
        z-index: 10;

        i {
            font-size: 1.3rem;
        }
    }
}

/* #kamelapp_loop {
    height: fit-content;
    overflow-y: hidden;

    div {
        animation: kamelappLogoAnimation 2000ms infinite;
        animation-timing-function: linear;

        img {
            width: 100px;
            height: 20px;
        }
    }
} */

.shop_text_loop {
    white-space: nowrap;
    /* bottom: 45px; */

    .ticker-content {
        display: inline-block;
        white-space: nowrap;
        animation: tickerAnimation 12s linear infinite;
        padding-right: 50px;
    }

    &:hover .ticker-content {
        animation-play-state: paused;
    }
}

.pointer {
    cursor: pointer;
}

/* .home-insta {
    background: linear-gradient(180deg, #ad02e2, #fc03be, #fec300);
} */

/* ========== key frames ========== */
@keyframes smooth-appear {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes tickerAnimation {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(100%);
    }
}

.animation_1 {
    animation: smooth-appear 0.5s ease forwards;
}

@keyframes smooth-appear2 {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.animation_2 {
    animation: smooth-appear2 0.5s ease forwards;
}

.image_logo_animation {
    -webkit-animation: spin 4s linear infinite;
    -moz-animation: spin 4s linear infinite;
    animation: spin 4s linear infinite;
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

::-webkit-scrollbar {
    width: 0;
    height: 5px;
}

@keyframes kamelappLogoAnimation {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-232px);
    }
}

/* ========== media query ========== */

@media screen and (max-width:767px) {
    .nima_home_box_products {
        border-radius: 1rem;
        margin-bottom: 30px;
    }

    .nima_home_box {
        width: fit-content;
        border-radius: 100%;
    }

    #nima_index_container {
        img.shop-profile {
            width: 68px;
            height: 68px;
        }


        .animation_logo_header {
            /* top: 10px;
            left: 10px; */

            #nima_voice_icon_sm {
                font-size: 28px;
                font-weight: bolder;
            }
        }

        .index_top_pic div {
            bottom: 8%;
        }

        .list_folders {
            padding-top: 20px;
            /* position: absolute;
            top: 60vh; */
        }
    }

    #hafez_index_container {
        .link-footer {
            margin-top: 32%;
        }
    }
}

@media screen and (min-width:768px) {
    .nima_home_box_products {
        min-height: 70px;
        border-radius: 1rem;
        margin-top: 50px;
    }

    .nima_home_box {
        width: 48%;
        border-radius: 1rem;
        min-height: 70px;
    }

    #nima_index_container {
        img.shop-profile {
            width: 120px;
            height: 120px;
            /* top: 20%;
            margin-inline: auto; */
        }

        .index_top_pic div {
            bottom: 35%;
        }

        .animation_logo_header {
            top: 10px;
            left: 10px;

            #nima_voice_icon {
                font-size: 3.5rem;
                font-weight: bolder;
            }
        }

        .list_folders {
            gap: 10px;
        }
    }

    #hafez_index_container {
        .link-footer {
            margin-top: 130px;
        }
    }
}